Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMBreakpointRequest

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMRequest
          org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMBreakpointRequest

All Implemented Interfaces:
  java.io.Serializable

    public class VMBreakpointRequest

extends VMRequest

See Also:
  Serialized Form

Nested Class Summary
`static class` | `VMBreakpointRequest.ActionKind`

Method Summary
`static VMBreakpointRequest` | `createAdd(NewBreakpointData bpData)`
`static VMBreakpointRequest` | `createAdd(NewBreakpointData[] bpData)`
`static VMBreakpointRequest` | `createChange(long id, BreakpointData bpData)`
`static VMBreakpointRequest` | `createRemove(long id)`
`VMBreakpointRequest.ActionKind` | `getActionKind()`
`java.util.List<BreakpointData>` | `getBreakpointData()`
`long` | `getBreakpointID()`
`BreakpointData` | `getFirstBreakpointData()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getBreakpointID

    public long getBreakpointID()

### getActionKind

    public VMBreakpointRequest.ActionKind getActionKind()

### getBreakpointData

    public java.util.List<BreakpointData> getBreakpointData()

### getFirstBreakpointData

    public BreakpointData getFirstBreakpointData()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createRemove

    public static VMBreakpointRequest createRemove(long id)

### createAdd

    public static VMBreakpointRequest createAdd(NewBreakpointData[] bpData)

### createAdd

    public static VMBreakpointRequest createAdd(NewBreakpointData bpData)

### createChange

    public static VMBreakpointRequest createChange(long id,
                                                   BreakpointData bpData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD